// WinTestDlg.h : header file
//

#if !defined(AFX_WINTESTDLG_H__F59542CB_BBAA_11D2_9A85_006097C0799F__INCLUDED_)
#define AFX_WINTESTDLG_H__F59542CB_BBAA_11D2_9A85_006097C0799F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <afxcmn.h>

/////////////////////////////////////////////////////////////////////////////
// CWinTestDlg dialog

class CWinTestDlg : public CDialog
{
// Construction
public:
	CWinTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CWinTestDlg)
	enum { IDD = IDD_WINTEST_DIALOG };
	CComboBox	m_display_size;
	CEdit	m_contrast_percent;
	CEdit	m_backlight_percent;
	CSliderCtrl	m_contrast;
	CSliderCtrl	m_backlight;
	CComboBox	m_speed;
	CComboBox	m_port;
	CComboBox	m_demo;
	CEdit	m_output;
	CEdit	m_input;
	CButton	m_rts;
	CButton	m_dtr;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWinTestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CWinTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnExit();
	afx_msg void OnRtsCheck();
	afx_msg void OnDtrCheck();
	afx_msg void OnChangeCommand();
	afx_msg void OnChangeInput();
	afx_msg void OnCloseupSpeedCombo();
	afx_msg void OnCloseupPortCombo();
	afx_msg void OnGoClick();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

BOOL CWinTestDlg::PreTranslateMessage(LPMSG lpmsg);
void CWinTestDlg::send_key(unsigned char key);
void CWinTestDlg::send_keys(unsigned char count=0,
														unsigned char k0=0,
														unsigned char k1=0,
														unsigned char k2=0,
														unsigned char k3=0,
														unsigned char k4=0,
														unsigned char k5=0,
														unsigned char k6=0,
														unsigned char k7=0,
														unsigned char k8=0,
														unsigned char k9=0);

void CWinTestDlg::set_serial(int port, int baud_rate, int dtr, int rts);
void CWinTestDlg::send_string(char *input);

void OnGRAPHDEMO2x16(void);
void OnGRAPHDEMO4x20(void);
void OnScrollDemo(void);
void OnScrollDemoOff(void);
void OnBIGNUM3x4DEMO(void); 
void OnBIGNUM4x4DEMO(void); 
void OnSpectraDemo20x4(void);
void OnSpectraDemo16x2(void);
void OnOscopeDemo(void);
int scroll_delay;
int scroll_step_size;
int scroll_row;
char scroll_message[80];
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WINTESTDLG_H__F59542CB_BBAA_11D2_9A85_006097C0799F__INCLUDED_)
